Debian Bug report logs - #563435
bristolmalloc() implicitly converted to pointer

version graph

Package: src:bristol; Maintainer for src:bristol is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: dann frazier <dannf@debian.org>

Date: Sat, 2 Jan 2010 22:18:01 UTC

Severity: serious

Tags: patch

Found in version bristol/0.40.7-1

Fixed in version bristol/0.40.7-2

Done: Alessio Treglia <quadrispro@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#563435; Package src:bristol. (Sat, 02 Jan 2010 22:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 02 Jan 2010 22:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: bristolmalloc() implicitly converted to pointer
Date: Sat, 2 Jan 2010 15:15:33 -0700
[Message part 1 (text/plain, inline)]
Source: bristol
Version: 0.40.7-1
Severity: serious
Tags: patch
Usertags: implicit-pointer-conversion

Our automated buildd log filter[1] detected a problem that is likely to
cause your package to segfault on architectures where the size of a
pointer is greater than the size of an integer, such as ia64 and amd64.

  Function `bristolmalloc' implicitly converted to pointer at sid.c:1496

This is often due to a missing function prototype definition.
For more information, see [2].

Though it is guaranteed that this codepath will cause a segfault on certain
architectures, it is not guaranteed that this codepath would ever be executed
(e.g., if the returned pointer is never dereferenced). However, this bug
does prevent the ia64 buildd from successfully building this package, resulting
in a practical FTBFS issue and warranting the serious severity.

[1] http://people.debian.org/~dannf/check-implicit-pointer-functions
[2] http://wiki.debian.org/ImplicitPointerConversions
[bristol.patch (text/x-diff, attachment)]

Reply sent to Alessio Treglia <quadrispro@ubuntu.com>:
You have taken responsibility. (Mon, 04 Jan 2010 09:21:24 GMT) Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. (Mon, 04 Jan 2010 09:21:25 GMT) Full text and rfc822 format available.

Message #10 received at 563435-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <quadrispro@ubuntu.com>
To: 563435-close@bugs.debian.org
Subject: Bug#563435: fixed in bristol 0.40.7-2
Date: Mon, 04 Jan 2010 09:18:17 +0000
Source: bristol
Source-Version: 0.40.7-2

We believe that the bug you reported is fixed in the latest version of
bristol, which is due to be installed in the Debian FTP archive:

bristol-data_0.40.7-2_all.deb
  to main/b/bristol/bristol-data_0.40.7-2_all.deb
bristol_0.40.7-2.diff.gz
  to main/b/bristol/bristol_0.40.7-2.diff.gz
bristol_0.40.7-2.dsc
  to main/b/bristol/bristol_0.40.7-2.dsc
bristol_0.40.7-2_amd64.deb
  to main/b/bristol/bristol_0.40.7-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563435@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <quadrispro@ubuntu.com> (supplier of updated bristol package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Jan 2010 00:48:16 +0100
Source: bristol
Binary: bristol bristol-data
Architecture: source amd64 all
Version: 0.40.7-2
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <quadrispro@ubuntu.com>
Description: 
 bristol    - vintage synthesizer emulator
 bristol-data - vintage synthesizer emulator (data files)
Closes: 563435
Changes: 
 bristol (0.40.7-2) unstable; urgency=low
 .
   * debian/patches/02-implicit_pointer_conversion.patch: Function
     'bristolmalloc' implicitly converted to pointer, this was due to
     a missing function prototype (Closes: #563435).
Checksums-Sha1: 
 0716db7eb504fce40a94760e4cdf8f5558ab7ab1 1381 bristol_0.40.7-2.dsc
 27b3c7ca2caf6f24d8b2cb14b3b1072fb175a301 7740 bristol_0.40.7-2.diff.gz
 7aa96c0f20220769b44e54f0fe48d14e30b00a40 739634 bristol_0.40.7-2_amd64.deb
 a042f1e4e680458313d92d0493ebf3d63168e5f1 2810544 bristol-data_0.40.7-2_all.deb
Checksums-Sha256: 
 937460610c065588d17ee2ef093e508712494609eba3785d04d465f980e1d9ce 1381 bristol_0.40.7-2.dsc
 70ca89d3b42673dc4dcd825a343f9fe26fe1423c4ed47cca16be51102100271d 7740 bristol_0.40.7-2.diff.gz
 7bc4d9b69050af801018e0af6681e2ba2f5bc952c0185ed5d2e92205eadf27d9 739634 bristol_0.40.7-2_amd64.deb
 fc331f74a67f745e7551a171628212355e48b31c1acaee5460dc5804e07f4689 2810544 bristol-data_0.40.7-2_all.deb
Files: 
 84c37baca3d339253e3c6e5591071a48 1381 sound optional bristol_0.40.7-2.dsc
 af873b91f954ab0b0f4c29b634538922 7740 sound optional bristol_0.40.7-2.diff.gz
 687bdc9ae94219b5e60be788aace5b15 739634 sound optional bristol_0.40.7-2_amd64.deb
 d581ac994a854d9a86c26d096f1d399a 2810544 sound optional bristol-data_0.40.7-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAktBsKgACgkQRdSMfNz8P9AyTACggyGzzp/calcteXiNiKYrKyn6
LLEAn29FBcPRqZ+T+aULX/59Vfiz/c7P
=4lTB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Feb 2010 07:34:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:29:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.